<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Security :: U.S. Robotics 5451 Access Point</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5451.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--				
function isWirelessEnabled()
{
	var wireless = <% nvram_get("wl_radio"); %>;
	
	if (wireless)
		return true;
	return false;
}

function reauth()
{
	var seconds = <% nvram_get("wl_net_reauth"); %>;
	var minutes = seconds/60;
	
	document.idForm.wl_net_reauth.value = minutes;
}

function getKeyType()
{	
	var cbAuthEncrypt = "<% nvram_get("cbAuthEncrypt"); %>";
	var key1 = "<% nvram_get("wl_key1"); %>";
	var key2 = "<% nvram_get("wl_key2"); %>";
	var key3 = "<% nvram_get("wl_key3"); %>";
	var key4 = "<% nvram_get("wl_key4"); %>";	
	var number = <% nvram_get("wl_key"); %>;
	var key;
	
	if ((cbAuthEncrypt == "open") || (cbAuthEncrypt == "shared"))
	{
		if (number == 1)
			key = key1;
		else if (number == 2)
			key = key2;
		else if (number == 3)
			key = key3;
		else if (number == 4)
			key = key4;
		
		var size = getKeySize(key);
		if (isKeyASCII(key)) {
			if (size == 128)
				document.idForm.cbWEPkeytype.selectedIndex = 0;
			if (size == 64)
				document.idForm.cbWEPkeytype.selectedIndex = 2;
		}
		else {
			if (size == 128)
				document.idForm.cbWEPkeytype.selectedIndex = 1;
			if (size == 64)
				document.idForm.cbWEPkeytype.selectedIndex = 3;
		}
	}		
}
//-->		
</script>	
</head>


<!-- The Wireless security options are only visible if the Wireless checkbox on the Wireless page is on -->
<body onload="setVisibility('idWirelessHelp', isWirelessEnabled()); setVisibility('idWireless', isWirelessEnabled()); getKeyType(); onSecurityChange(false); reauth();
 setVisibility('idMACfilter', !document.idForm.cbMACfilter[0].selected); tableInitializeMAC();" onbeforeunload="verifyDeparture();">

<script type="text/javascript">
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>



	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.</p>

	<h1>Access Point Login</h1>
	<p>The access point requires you to log in with a user name and password.
	This ensures that no one can make unauthorized changes to your access point&rsquo;s settings.
	Please note that the user name and password are case-sensitive.
	</p>
	
	<h1>Wireless Security</h1>
	<p>WPA2 is the newest encryption method available and may not be supported by all
	client devices yet. If you have both WPA2 and WPA client devices, you can select
	&ldquo;WPA2 and WPA&rdquo; and the access point will automatically support those clients.
	</p>
	
	<p>WPA is a newer encryption method that uses a 256-bit key, so it&rsquo;s even more secure
	than older methods.
	Since it&rsquo;s newer, however, there are some older wireless client devices that
	don&rsquo;t support it. If you need to communicate with a device that
	doesn&rsquo;t support WPA, you will need to use WEP.
	</p>

	<p>WEP is a slightly older encryption method. You can select either a
	64-bit key or a more secure 128-bit key. (It doesn&rsquo;t matter if you
	select ASCII or hex&mdash;that only affects the number and type of
	characters in the key.) If you use WEP encryption, U.S.&nbsp;Robotics
	recommends that you select &ldquo;WEP Open.&rdquo;
	</p>
	
	<p>802.1x is used primarily by businesses that require advance authentication methods.</p>

	<h1>MAC Filter</h1>
	<p>You can use MAC filtering to either allow or deny access to your access point 
	by certain wireless devices. This is an excellent way to ensure that only
	your own devices can use your access point and its Internet connection.
	</p>

	<p>When MAC filtering is enabled, the
	&ldquo;<a href="tutorial_addclient.asp">How to Add a New Wireless Client</a>&rdquo; tutorial
	provides more information on how MAC filtering affects adding new wireless clients
	and how to locate a client&rsquo;s MAC address.
	</p>

	<p>You can also learn more about MAC addresses and MAC filtering in the user manual
	on the installation CD-ROM.</p>
</div>

<form name="idForm" action="security.asp" method="post">
<input type="hidden" name="page" value="security.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_preauth" value="disabled">

<h3>Access Point Login</h3>

<p>You will need to enter the user name and password in order to access the access point in the future,
so you may want to write them down.</p>

<table>
	<tr>
		<td><label for="http_username">User&nbsp;name:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="http_username" class="clsTextfield" name="http_username" value="<% nvram_get("http_username"); %>" onchange="if (!validateUsername(document.idForm.http_username.value)) return false; bDirty = true;">
		</td>
	</tr>
	<tr>
		<td><label for="http_passwd">Password:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="http_passwd" class="clsTextfield" name="http_passwd" value="<% nvram_get("http_passwd"); %>" onchange="if (!validatePassword(document.idForm.http_passwd.value)) return false; bDirty = true;">
		</td>
	</tr>
</table>

<div id="idWireless">

<h3>Wireless</h3>

<p>There are a few options for encrypting the wireless communications between
the access point and its clients, and they&rsquo;re all designed to protect your privacy.
You will need to enter these same settings for each wireless client.</p>

<table border="0">
     <tr>
    	<td class="clsLabel">Method:</td>
	<td>
    		<select id="cbAuthEncrypt" name="cbAuthEncrypt" onchange="onSecurityChange(true); bDirty = true;">
    			<option value="wpa12" <% nvram_match("cbAuthEncrypt", "wpa12", "selected"); %>>WPA2 and WPA (recommended)</option>
			<option value="wpa2" <% nvram_match("cbAuthEncrypt", "wpa2", "selected"); %>>WPA2</option>
			<option value="wpa" <% nvram_match("cbAuthEncrypt", "wpa", "selected"); %>>WPA</option>
			<option value="open" <% nvram_match("cbAuthEncrypt", "open", "selected"); %>>WEP open</option>
			<option value="shared" <% nvram_match("cbAuthEncrypt", "shared", "selected"); %>>WEP shared</option>
			<option value="radius-wpa12" <% nvram_match("cbAuthEncrypt", "radius-wpa12", "selected"); %>>WPA2 and WPA with 802.1x (RADIUS)</option>
			<option value="radius-wpa2" <% nvram_match("cbAuthEncrypt", "radius-wpa2", "selected"); %>>WPA2 with 802.1x (RADIUS)</option>
       			<option value="radius-wpa" <% nvram_match("cbAuthEncrypt", "radius-wpa", "selected"); %>>WPA with 802.1x (RADIUS)</option>
			<option value="none" <% nvram_match("cbAuthEncrypt", "none", "selected"); %>>None</option>
       		</select>
       	</td>
    </tr>
    <!-- WEP -->
	<tr id="idWEPkeytype">
		<td><label>Key type:</label></td>
		<td>
			<select id="cbWEPkeytype" onchange="setMaxLength(true); bDirty = true;">
				<option value="type128ASCII">128-bit ASCII</option>
				<option value="type128hex">128-bit hex</option>
				<option value="type64ASCII">64-bit ASCII</option>
				<option value="type64hex">64-bit hex</option>
			</select>
		</td>
	</tr>
	
	<tr id="idKeyCurrent">
		<td><label>Current key:</label></td>
		<td>
			<select id="wl_key" name="wl_key" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_key", "1", "selected"); %>>1</option>
				<option value="2" <% nvram_match("wl_key", "2", "selected"); %>>2</option>
				<option value="3" <% nvram_match("wl_key", "3", "selected"); %>>3</option>
				<option value="4" <% nvram_match("wl_key", "4", "selected"); %>>4</option>
			</select>
		</td>
	</tr>

	<tr id="idKey1">
		<td><label for="wl_key1">Key 1:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" onchange="if (!isPrintable('Key 1', document.idForm.wl_key1.value)) return false; validateKeyForType(document.idForm.wl_key1.value, 'cbWEPkeytype'); bDirty = true;">
		    <input id="btnGenerateWEP1" type="button" value="Generate" class="clsSmall" onclick="document.idForm.wl_key1.value = generateKeyWEP('cbWEPkeytype');"></td>
	</tr>
	<tr id="idKey2">
		<td><label for="wl_key2">Key 2:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key2" class="clsTextfield" name="wl_key2" value="<% nvram_get("wl_key2"); %>" onchange="if (!isPrintable('Key 2', document.idForm.wl_key2.value)) return false; validateKeyForType(document.idForm.wl_key2.value, 'cbWEPkeytype'); bDirty = true;">
		    <input id="btnGenerateWEP2" type="button" value="Generate" class="clsSmall" onclick="document.idForm.wl_key2.value = generateKeyWEP('cbWEPkeytype');"></td>
	</tr>
	<tr id="idKey3">
		<td><label for="wl_key3">Key 3:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key3" class="clsTextfield" name="wl_key3" value="<% nvram_get("wl_key3"); %>" onchange="if (!isPrintable('Key 3', document.idForm.wl_key3.value)) return false; validateKeyForType(document.idForm.wl_key3.value, 'cbWEPkeytype'); bDirty = true;">
		    <input id="btnGenerateWEP3" type="button" value="Generate" class="clsSmall" onclick="document.idForm.wl_key3.value = generateKeyWEP('cbWEPkeytype');"></td>
	</tr>
	<tr id="idKey4">
		<td><label for="wl_key4">Key 4:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key4" class="clsTextfield" name="wl_key4" value="<% nvram_get("wl_key4"); %>" onchange="if (!isPrintable('Key 4', document.idForm.wl_key4.value)) return false; validateKeyForType(document.idForm.wl_key4.value, 'cbWEPkeytype'); bDirty = true;">
		    <input id="btnGenerateWEP4" type="button" value="Generate" class="clsSmall" onclick="document.idForm.wl_key4.value = generateKeyWEP('cbWEPkeytype');"></td>
	</tr>


    <!-- WPA -->
    	<tr id="idEncryption">
    		<td class="clsLabel">Encryption:</td>
		<td>
    			<select id="cbEncryption" name="cbEncryption" onchange="bDirty = true;">
    			<option value="tkip+aes" <% nvram_match("cbEncryption", "tkip+aes", "selected"); %>>TKIP and AES (recommended)</option>
			<option value="aes" <% nvram_match("cbEncryption", "aes", "selected"); %>>AES</option>
			<option value="tkip" <% nvram_match("cbEncryption", "tkip", "selected"); %>>TKIP</option>
       			</select>
       		</td>
    	</tr>
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass phrase:</label></td>
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false; bDirty = true;">
			<input id="btnGenerateWPA" type="button" value="Generate" class="clsSmall" onclick="document.idForm.wl_wpa_psk.value = generateWPAkey();"><br/>
			<span class="clsNote">(The pass phrase must be between eight and sixty-three characters long.)</span></td>
	</tr>
	<tr id="idKeyRotation">
		<td valign="top"><label for="wl_wpa_gtk_rekey">Key Rotation:</label></td>
		<td><input type="text" size="10" maxlength="10" id="wl_wpa_gtk_rekey" class="clsTextfield" name="wl_wpa_gtk_rekey" value="<% nvram_get("wl_wpa_gtk_rekey"); %>" onchange="bDirty = true;">
			<label>seconds</label><br/>
			<span class="clsNote">(To disable key rotation, set this value to zero.)</span></td>
	</tr>
	
	   <!-- 802.1x -->
    <tr id="idRADIUSserver">
    	<td><label for="wl_radius_ipaddr">RADIUS server:</label></td>
	<td><input type="text" size="40" maxlength="15" id="wl_radius_ipaddr" class="clsTextfield" name="wl_radius_ipaddr" value="<% nvram_get("wl_radius_ipaddr"); %>" onchange="bDirty = true;"></td>
    </tr>
    <tr id="idRADIUSport">
    	<td><label for="wl_radius_port">RADIUS port:</label></td>
    	<td><input type="text" size="40" maxlength="5" id="wl_radius_port" class="clsTextfield" name="wl_radius_port" value="<% nvram_get("wl_radius_port"); %>" onchange="bDirty = true;"></td>
    </tr>
    <tr id="idRADIUSkey">
    	<td><label for="wl_radius_key">RADIUS key:</label></td>
    	<td><input type="text" size="40" maxlength="255" id="wl_radius_key" class="clsTextfield" name="wl_radius_key" value="<% nvram_get("wl_radius_key"); %>" onchange="if (!isPrintable('RADIUS key', document.idForm.wl_radius_key.value)) return false; bDirty = true;"></td>
    </tr>
    <tr id="idRADIUSReauth">
		<td nowrap><label for="wl_net_reauth">Re-authentication:</label></td>
		<td><input type="text" size="10" maxlength="10" id="wl_net_reauth" class="clsTextfield" name="wl_net_reauth" value="<% nvram_get("wl_net_reauth"); %>" onchange="bDirty = true;">
			<label>minutes</label></td>
    </tr>
    <tr id="idRADIUSPreauth">
		<td colspan="2"><input type="checkbox" name="wl_preauth" id="wl_preauth" value="enabled" <% nvram_match("wl_preauth", "1", "checked"); %> onclick="bDirty = true;"> <label for="wl_preauth">Pre-authentication</label></td>
    </tr>
</table>


<h3>MAC Filter</h3>

<p>Use this section to allow (or deny) specific wireless devices the ability to connect to the access point.
For example, you could specify that only your laptop, gaming system and digital video recorder can connect.
(Please note that wired clients are always permitted to connect.)</p>

<table class="clsGroupBox">
	<tr>
		<td><input type="button" class="clsBtnFeature" value="Allow Current Clients" onclick="onAllowCurrentClients(); bDirty = true;"></td>
		<td><p>Press the <strong>Allow Current Clients</strong> button to
			automatically permit the current wireless client devices to
			connect to the access point. (The changes aren&rsquo;t saved until you press
			the <strong>Save</strong> button.)</p></td>
	</tr>
</table>

<p id="idCheckMAC" class="clsNotice" style="display: none;">
	Before you save your changes, U.S.&nbsp;Robotics recommends that you check
	the list of MAC addresses. Make sure that it contains only the MAC
	addresses you want to connect to your access point.
</p>

<p><label>Filter:</label>
   <select id="cbMACfilter" name="wl_macmode" onchange="setVisibility('idMACfilter', !document.idForm.cbMACfilter[0].selected); bDirty = true;">
			<option value="disabled" <% nvram_match("wl_macmode", "disabled", "selected"); %>>Allow all wireless devices</option>
			<option value="allow" <% nvram_match("wl_macmode", "allow", "selected"); %>>Allow only these wireless devices</option>
			<option value="deny" <% nvram_match("wl_macmode", "deny", "selected"); %>>Deny only these wireless devices</option>
   </select>
</p>

<div id="idMACfilter">

<div id="idTableMAC">
	<!-- Content is added by script -->
</div>

<span class="clsGroupBox">
	<label for="txtMACaddress">MAC address:</label>
	<br/>
	<input type="text" name="txtMACaddress" id="txtMACaddress" class="clsTextfield" size="20" maxlength="17" onchange="validateMAC(document.idForm.txtMACaddress.value); bDirty = true;">
	<input type="button" name="idBtnAddMAC" id="idBtnAddMAC" class="clsSmall" value="  Add  " onclick="tableAddRowMAC();">
</span>

<script type="text/javascript">
<!--
/* --------------------------------------------------------------------------

	MAC FILTER TABLE INFORMATION AND FUNCTIONS

*/

/*
	This class of object defines items specific to each table of values.
*/
var objTableMAC 	= new Object;
objTableMAC.strThis	= "objTableMAC";	// the text representation of this object's name
objTableMAC.aRows	= new Array;		// the array of the row arrays for the table


/*
	Load the values from the access point, create the rows, and add them all.
*/
function tableInitializeMAC()
{
	/*
		Initialize the table object
	*/
	objTableMAC.eltTable		= document.getElementById("idTableMAC");	// id of table's DIV
	objTableMAC.eltBtnAdd		= document.getElementById("idBtnAddMAC");	// Add button
	objTableMAC.strVarNameNum	= "wl_maclist";			// name of form field for # rows
	// names of each form field
	objTableMAC.aVarNamePrefixes	= new Array("wl_maclist");
	objTableMAC.fctFormatRow	= fctFormatRowText;		// function to format a row in HTML
	objTableMAC.iMaxNumRows		= 32;				// max # of rows in table
	objTableMAC.aHeadings		= new Array(// array of column headings for the table
							"MAC Address"
						);

	/*
		Load the values from the access point, create the rows, and add them all.
	*/

	/* Get the data for each entry, add it to an array,
		and add the array to the table.	*/
	var aDeviceData = new Array(
					new Array("<% nvram_list("wl_maclist", 0); %>"),
					new Array("<% nvram_list("wl_maclist", 1); %>"),
					new Array("<% nvram_list("wl_maclist", 2); %>"),
					new Array("<% nvram_list("wl_maclist", 3); %>"),
					new Array("<% nvram_list("wl_maclist", 4); %>"),
					new Array("<% nvram_list("wl_maclist", 5); %>"),
					new Array("<% nvram_list("wl_maclist", 6); %>"),
					new Array("<% nvram_list("wl_maclist", 7); %>"),
					new Array("<% nvram_list("wl_maclist", 8); %>"),
					new Array("<% nvram_list("wl_maclist", 9); %>"),
					new Array("<% nvram_list("wl_maclist", 10); %>"),
					new Array("<% nvram_list("wl_maclist", 11); %>"),
					new Array("<% nvram_list("wl_maclist", 12); %>"),
					new Array("<% nvram_list("wl_maclist", 13); %>"),
					new Array("<% nvram_list("wl_maclist", 14); %>"),
					new Array("<% nvram_list("wl_maclist", 16); %>"),
					new Array("<% nvram_list("wl_maclist", 17); %>"),
					new Array("<% nvram_list("wl_maclist", 18); %>"),
					new Array("<% nvram_list("wl_maclist", 19); %>"),
					new Array("<% nvram_list("wl_maclist", 20); %>"),
					new Array("<% nvram_list("wl_maclist", 21); %>"),
					new Array("<% nvram_list("wl_maclist", 22); %>"),
					new Array("<% nvram_list("wl_maclist", 23); %>"),
					new Array("<% nvram_list("wl_maclist", 24); %>"),
					new Array("<% nvram_list("wl_maclist", 25); %>"),
					new Array("<% nvram_list("wl_maclist", 26); %>"),
					new Array("<% nvram_list("wl_maclist", 27); %>"),
					new Array("<% nvram_list("wl_maclist", 28); %>"),
					new Array("<% nvram_list("wl_maclist", 29); %>"),
					new Array("<% nvram_list("wl_maclist", 30); %>"),
					new Array("<% nvram_list("wl_maclist", 31); %>")
				);

	for (var row in aDeviceData)
	{
		/* if the first column's value is empty, don't use it */
		if (aDeviceData[row][0] == "")
			continue;

		objTableMAC.aRows.push(aDeviceData[row]);
	}

	tableDisplay(objTableMAC);
}


/* Add the new data to the table. */
function tableAddRowMAC()
{
	/* Get the new entry's data from the HTML form and put it in a new array. */
	var aRowNew = new Array(document.idForm.txtMACaddress.value);

	if (!validateDataText(objTableMAC, aRowNew) || !validateMAC(aRowNew[0]))
	{
		document.idForm.txtMACaddress.focus();
		return;
	}

	// convert all separators to colons
	aRowNew[0] = normalizeMAC(aRowNew[0]);

	// if this MAC address is already in the table, don't add it but do clear the field
	if (!tableIsDuplicateRow(objTableMAC, aRowNew))
		tableAddRow(objTableMAC, aRowNew);

	/*
		Clear fields
	*/
	document.idForm.txtMACaddress.value = "";
}

/*
	Add all current clients' MAC addresses to the list
	of devices, unless, of course, they're already in the list.
*/
function onAllowCurrentClients()
{
	document.idForm.cbMACfilter[1].selected = true;
	setVisibility('idMACfilter', true);
	setVisibility('idCheckMAC', true);

	/*
		This array is populated with the wireless clients when the page renders.
		Now we can add the entries to the table (if they're not already there).
	*/	
	var aDeviceData = new Array(<% wl_clients(); %>);

	for (var row in aDeviceData)
	{
		/* if the first column's value is empty, don't use it */
		if (aDeviceData[row] == "")
			continue;

		// if this MAC address isn't already in the table, add it
		var aRowNew = new Array(aDeviceData[row]);
		if (!tableIsDuplicateRow(objTableMAC, aRowNew))
			objTableMAC.aRows.push(aRowNew);
	}

	tableDisplay(objTableMAC);
}

//-->
</script>
</div>

</div>
<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!validateUsername(document.idForm.http_username.value)) return false; if (!validatePassword(document.idForm.http_passwd.value)) return false; if (!isPrintable('Key 1', document.idForm.wl_key1.value)) return false; 
if (!isPrintable('Key 2', document.idForm.wl_key2.value)) return false; if (!isPrintable('Key 3', document.idForm.wl_key3.value)) return false; if (!isPrintable('Key 4', document.idForm.wl_key4.value)) return false; if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false; 
if (!isPrintable('RADIUS key', document.idForm.wl_radius_key.value)) return false; new_reauth(); bDirty = false;"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>

