/* 
Copyright 2004-2006, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
*/
/* --------------------------------------------------------------------------

	Define the information for a single menu item (both main bar and sub-menu).
	Each menu item has an associated filename, title, and description.
	The title and description are translated, but not the filename.

*/

function MenuItem(strFilename, strTitle, strDescription)
{
	this.strFilename = strFilename;
	this.strTitle = strTitle;
	this.strDescription = strDescription;
}


/* --------------------------------------------------------------------------

	These represent the various menus. There is a main menu bar and some sub-menus.

	The second and third strings in each item need to be translated.
	The first string is a filename and does not need to be translated.

*/

var menuMain = new Array(new MenuItem("status.asp",	"Status",	"View information about the bridge"),
			new MenuItem("security.asp",	"Security",	"Configure the bridge's security settings"),
			new MenuItem("wireless.asp",	"Wireless",	"Configure the bridge's wireless settings"),
			new MenuItem("lan.asp",		"LAN",		"Configure the bridge's LAN settings"),
			new MenuItem("device.asp",	"Device",	"Manage the bridge")
			);


/* check settings for the LAN page */
function checkIP()
{
	var radios = document.idForm.idIPmethod;
	
	if (radios[1].checked) 
		document.idForm.lan_dhcp.value = "0";
}
