<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2006, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Security :: U.S. Robotics Wireless MAXg Bridge</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5432.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>

<body onload="document.idForm.http_username.focus();" onbeforeunload="verifyDeparture();">

<script type="text/javascript">
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

	<div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<b>Save</b> button at the bottom of the page.</p>

	<h1>Bridge Login</h1>
	<p>The bridge requires you to log in with a user name and password.
	This ensures that no one can make unauthorized changes to your bridge&rsquo;s settings.
	Please note that the user name and password are case-sensitive.
	</p>

</div>

<form name="idForm" action="security.asp" method="post">
<input type="hidden" name="page" value="security.asp">
<input type="hidden" name="wl_unit" value="0">

<h3>Bridge Login</h3>

<p>You will need to enter the user name and password in order to access the bridge in the future,
so you may want to write them down.</p>

<table>
	<tr>
		<td><label for="http_username">User&nbsp;name:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="http_username" class="clsTextfield" name="http_username" value="<% nvram_get("http_username"); %>" onchange="if (!validateUsername(document.idForm.http_username)) return false; bDirty = true;">
		</td>
	</tr>
	<tr>
		<td><label for="http_passwd">Password:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="http_passwd" class="clsTextfield" name="http_passwd" value="<% nvram_get("http_passwd"); %>" onchange="if (!validatePassword(document.idForm.http_passwd)) return false; bDirty = true;">
		</td>
	</tr>
</table>

<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!validateUsername(document.idForm.http_username)) return false; if (!validatePassword(document.idForm.http_passwd)) return false; bDirty = false;"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>

