<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Device :: U.S. Robotics Wireless MAXg Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>
<body onbeforeunload="verifyDeparture();">
<script type="text/javascript">
	writeHeader();
</script>
<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">
   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>
	<h1>Time</h1>
	<p>This is how the router knows the current time, which it uses to timestamp its log entries.</p>
	<h1>Reboot</h1>
	<p>Use this in the unlikely event that the router needs to be restarted.</p>
	<h1>Upgrade</h1>
	<p>U.S.&nbsp;Robotics may occasionally release new firmware for this router.
	You can download those updates and install them on the router.
	The <strong>Check for Update</strong> button downloads a small text file
	from the U.S.&nbsp;Robotics Web site and compares the latest version with
	the router&rsquo;s current version to see if there&rsquo;s an update available.</p>
	<h1>Back up</h1>
	<p>You can back up your router&rsquo;s settings. This can be useful in case you
	need to restore the router to its factory default settings or want to save a
	known working state before you make new changes to the router.</p>
	<h1>Restore</h1>
	<p>You can restore the settings that you saved earlier. This lets you configure
	the router to a known state.</p>
	<h1>Factory Settings</h1>
	<p>You can reset the router to the state it was in when you first purchased it.
	You may need to do this if you wish to start configuring your router from the beginning,
	as if it had just come out of the box.</p>
</div>
<form name="idForm" action="apply.cgi" method="post">
<input type="hidden" name="page" value="device.asp">
<input type="hidden" name="ntp_server" value="3">
<h3>Time</h3>
<table border="0">
	<tr><td><label>Time zone:</label></td>
		<td><select name="time_zone">
				<option value="UCT12" <% nvram_match("time_zone", "UCT12", "selected"); %>>(UTC-12:00) Eniwetok, Kwajalein</option>
				<option value="UCT11" <% nvram_match("time_zone", "UCT11", "selected"); %>>(UTC-11:00) Midway Island, Samoa</option>
				<option value="UCT10" <% nvram_match("time_zone", "UCT10", "selected"); %>>(UTC-10:00) Hawaii</option>
				<option value="NAST9NADT" <% nvram_match("time_zone", "NAST9NADT", "selected"); %>>(UTC-09:00) Alaska</option>
				<option value="PST8PDT" <% nvram_match("time_zone", "PST8PDT", "selected"); %>>(UTC-08:00) Pacific Time (US & Canada), Tijuana</option>
				<option value="MST7" <% nvram_match("time_zone", "MST7", "selected"); %>>(UTC-07:00) Arizona</option>
				<option value="MST7MDT" <% nvram_match("time_zone", "MST7MDT", "selected"); %>>(UTC-07:00) Mountain Time (US & Canada)</option>
				<option value="CST6" <% nvram_match("time_zone", "CST6", "selected"); %>>(UTC-06:00) Central America</option>
				<option value="CST6CDT" <% nvram_match("time_zone", "CST6CDT", "selected"); %>>(UTC-06:00) Central Time (US & Canada)</option>
				<option value="CST6CDTM" <% nvram_match("time_zone", "CST6CDTM", "selected"); %>>(UTC-06:00) Mexico City</option>
				<option value="UCT6" <% nvram_match("time_zone", "UCT6", "selected"); %>>(UTC-06:00) Saskatchewan</option>
				<option value="UCT5" <% nvram_match("time_zone", "UCT5", "selected"); %>>(UTC-05:00) Bogota, Lima, Quito</option>
				<option value="EST5EDT" <% nvram_match("time_zone", "EST5EDT", "selected"); %>>(UTC-05:00) Eastern Time (US & Canada)</option>
				<option value="EST5" <% nvram_match("time_zone", "EST5", "selected"); %>>(UTC-05:00) Indiana (East)</option>
				<option value="AST4ADT" <% nvram_match("time_zone", "AST4ADT", "selected"); %>>(UTC-04:00) Atlantic Time (Canada)</option>
				<option value="UCT4" <% nvram_match("time_zone", "UCT4", "selected"); %>>(UTC-04:00) Caracas, La Paz</option>
				<option value="CST4CDT" <% nvram_match("time_zone", "CST4CDT", "selected"); %>>(UTC-04:00) Santiago</option>
				<option value="UCT3:30" <% nvram_match("time_zone", "UCT3:30", "selected"); %>>(UTC-03:30) Newfoundland</option>
				<option value="UCT3" <% nvram_match("time_zone", "UCT3", "selected"); %>>(UTC-03:00) Brasilia</option>
				<option value="SAT3" <% nvram_match("time_zone", "SAT3", "selected"); %>>(UTC-03:00) Buenos Aires, Georgetown</option>
				<option value="AST3ADT2,M3.5.0,M10.5.0" <% nvram_match("time_zone", "AST3ADT2,M3.5.0,M10.5.0", "selected"); %>>(UTC-03:00) Greenland</option>
				<option value="AST2ADT1,M3.5.0,M10.5.0" <% nvram_match("time_zone", "AST2ADT1,M3.5.0,M10.5.0", "selected"); %>>(UTC-02:00) Mid-Atlantic</option>
				<option value="EUT1EUTDTST,M3.5.0,M10.5.0" <% nvram_match("time_zone", "EUT1EUTDTST,M3.5.0,M10.5.0", "selected"); %>>(UTC-01:00) Azores</option>
				<option value="UCT1" <% nvram_match("time_zone", "UCT1", "selected"); %>>(UTC-01:00) Cape Verde Is.</option>
				<option value="UCT" <% nvram_match("time_zone", "UCT", "selected"); %>>(UTC) Casablanca, Monrovia</option>
				<option value="GMT0BST-1,M3.5.0,M10.5.0" <% nvram_match("time_zone", "GMT0BST-1,M3.5.0,M10.5.0", "selected"); %>>(UTC) Greenwich Mean Time : Dublin, EdinBurgh, Lisbon, London</option>
				<option value="MET-1METDST-2,M3.5.0,M10.5.0" <% nvram_match("time_zone", "MET-1METDST-2,M3.5.0,M10.5.0", "selected"); %>>(UTC+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna</option>
				<option value="BMET-1METDST-2,M3.5.0,M10.5.0" <% nvram_match("time_zone", "BMET-1METDST-2,M3.5.0,M10.5.0", "selected"); %>>(UTC+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague</option>
				<option value="CMET-1METDST-2,M3.5.0,M10.5.0" <% nvram_match("time_zone", "CMET-1METDST-2,M3.5.0,M10.5.0", "selected"); %>>(UTC+01:00) Brussels, Copenhagen, Madrid, Paris</option>
				<option value="DMET-1METDST-2,M3.5.0,M10.5.0" <% nvram_match("time_zone", "DMET-1METDST-2,M3.5.0,M10.5.0", "selected"); %>>(UTC+01:00) Sarajevo, Skopje, Sofija, Vilnius, Warsaw, Zagreb</option>
				<option value="UCT-1" <% nvram_match("time_zone", "UCT-1", "selected"); %>>(UTC+01:00) West Central Africa</option>
				<option value="EET-2EETDST-3,M3.5.0,M10.5.0" <% nvram_match("time_zone", "EET-2EETDST-3,M3.5.0,M10.5.0", "selected"); %>>(UTC+02:00) Athens, Istanbul, Minsk</option>
				<option value="BEET-2EETDST-3,M3.5.0,M10.5.0" <% nvram_match("time_zone", "BEET-2EETDST-3,M3.5.0,M10.5.0", "selected"); %>>(UTC+02:00) Bucharest</option>
				<option value="UCT-2" <% nvram_match("time_zone", "UCT-2", "selected"); %>>(UTC+02:00) Cairo</option>
				<option value="BUCT-2" <% nvram_match("time_zone", "BUCT-2", "selected"); %>>(UTC+02:00) Harere, Pretoria</option>
				<option value="CEET-2EETDST-3,M3.5.0,M10.5.0" <% nvram_match("time_zone", "CEET-2EETDST-3,M3.5.0,M10.5.0", "selected"); %>>(UTC+02:00) Helsinki, Riga, Tallinn</option>
				<option value="IST-2" <% nvram_match("time_zone", "IST-2IDT", "selected"); %>>(UTC+02:00) Jerusalem</option>
				<option value="IST-3" <% nvram_match("time_zone", "IST-3IDT", "selected"); %>>(UTC+03:00) Baghdad</option>
				<option value="AST-3" <% nvram_match("time_zone", "AST-3", "selected"); %>>(UTC+03:00) Kuwait, Riyadh</option>
				<option value="MST-3MDT-4,M3.5.0,M10.5.0" <% nvram_match("time_zone", "MST-3MDT-4,M3.5.0,M10.5.0", "selected"); %>>(UTC+03:00) Moscow, St. Petersburg, Volgograd</option>
				<option value="UCT-3" <% nvram_match("time_zone", "UCT-3", "selected"); %>>(UTC+03:00) Nairobi</option>
				<option value="UCT-3:30" <% nvram_match("time_zone", "UCT-3:30", "selected"); %>>(UTC+03:30) Tehran</option>
				<option value="UAEST-4" <% nvram_match("time_zone", "UAEST-4", "selected"); %>>(UTC+04:00) Abu Dhabi, Muscat</option>
				<option value="UCT-4" <% nvram_match("time_zone", "UCT-4", "selected"); %>>(UTC+04:00) Baku, Tbilisi, Yerevan</option>
				<option value="UCT-4:30" <% nvram_match("time_zone", "UCT-4:30", "selected"); %>>(UTC+04:30) Kabul</option>
				<option value="RFT-5RFTDST-6,M3.5.0,M10.5.0" <% nvram_match("time_zone", "RFT-5RFTDST-6,M3.5.0,M10.5.0", "selected"); %>>(UTC+05:00) Ekaterinburg</option>
				<option value="UCT-5" <% nvram_match("time_zone", "UCT-5", "selected"); %>>(UTC+05:00) Islamabad, Karachi, Tashkent</option>
				<option value="UCT-5:30" <% nvram_match("time_zone", "UCT-5:30", "selected"); %>>(UTC+05:30) Calcutta, Chennai, Mumbai, New Delhi</option>
				<option value="UCT-5:45" <% nvram_match("time_zone", "UCT-5:45", "selected"); %>>(UTC+05:45) Kathmandu</option>
				<option value="EUT-6EUTDST-7,M3.5.0,M10.5.0" <% nvram_match("time_zone", "EUT-6EUTDST-7,M3.5.0,M10.5.0", "selected"); %>>(UTC+06:00) Almaty, Novosibirsk</option>
				<option value="UCT-6" <% nvram_match("time_zone", "UCT-6", "selected"); %>>(UTC+06:00) Astana, Dhaka</option>
				<option value="BUCT-6" <% nvram_match("time_zone", "BUCT-6", "selected"); %>>(UTC+06:00) Sri Jayawardenepura</option>
				<option value="UCT-6:30" <% nvram_match("time_zone", "UCT-6:30", "selected"); %>>(UTC+06:30) Rangoon</option>
				<option value="UCT-7" <% nvram_match("time_zone", "UCT-7", "selected"); %>>(UTC+07:00) Bangkok, Hanoi, Jakarta</option>
				<option value="RFT-7RFTDST-8,M3.5.0,M10.5.0" <% nvram_match("time_zone", "RFT-7RFTDST-8,M3.5.0,M10.5.0", "selected"); %>>(UTC+07:00) Krasnoyarsk</option>
				<option value="UCT-8" <% nvram_match("time_zone", "UCT-8", "selected"); %>>(UTC+08:00) Beijing, Chongqing, Hong Kong, Urumqi</option>
				<option value="EUT-8" <% nvram_match("time_zone", "EUT-8", "selected"); %>>(UTC+08:00) Irkutsk, Ulaan Bataar</option>
				<option value="BUCT-8" <% nvram_match("time_zone", "BUCT-8", "selected"); %>>(UTC+08:00) Kuala Lumpur, Singapore</option>
				<option value="CUCT-8" <% nvram_match("time_zone", "CUCT-8", "selected"); %>>(UTC+08:00) Perth</option>
				<option value="DUCT-8" <% nvram_match("time_zone", "DUCT-8", "selected"); %>>(UTC+08:00) Taipei</option>
				<option value="UCT-9" <% nvram_match("time_zone", "UCT-9", "selected"); %>>(UTC+09:00) Osaka, Sapporo, Tokyo</option>
				<option value="BUCT-9" <% nvram_match("time_zone", "BUCT-9", "selected"); %>>(UTC+09:00) Seoul</option>
				<option value="RFT-9RFTDST-10,M3.5.0,M10.5.0" <% nvram_match("time_zone", "RFT-9RFTDST-10,M3.5.0,M10.5.0", "selected"); %>>(UTC+09:00) Yakutsk</option>
				<option value="UCT-9:30" <% nvram_match("time_zone", "UCT-9:30", "selected"); %>>(UTC+09:30) Adelaide</option>
				<option value="BUCT-9:30" <% nvram_match("time_zone", "BUCT-9:30", "selected"); %>>(UTC+09:30) Darwin</option>
				<option value="UCT-10" <% nvram_match("time_zone", "UCT-10", "selected"); %>>(UTC+10:00) Brisbane</option>
				<option value="BUCT-10" <% nvram_match("time_zone", "BUCT-10", "selected"); %>>(UTC+10:00) Canberra, Melbourne, Sydney</option>
				<option value="CUCT-10" <% nvram_match("time_zone", "CUCT-10", "selected"); %>>(UTC+10:00) Guam, Port Moresby</option>
				<option value="DUCT-10" <% nvram_match("time_zone", "DUCT-10", "selected"); %>>(UTC+10:00) Hobart</option>
				<option value="RFT-10RFTDST-11,M3.5.0,M10.5.0" <% nvram_match("time_zone", "RFT-10RFTDST-11,M3.5.0,M10.5.0", "selected"); %>>(UTC+10:00) Vladivostok</option>
				<option value="UCT-11" <% nvram_match("time_zone", "UCT-11", "selected"); %>>(UTC+11:00) Magadan, Solomon Is., New Caledonia</option>
				<option value="UCT-12" <% nvram_match("time_zone", "UCT-12", "selected"); %>>(UTC+12:00) Auckland, Wellington</option>
				<option value="BUCT-12" <% nvram_match("time_zone", "BUCT-12", "selected"); %>>(UTC+12:00) Fiji, Kamchatka, Marshall Is.</option>
				<option value="UCT-13" <% nvram_match("time_zone", "UCT-13", "selected"); %>>(UTC+13:00) Nuku'alofa</option>
			</select></td></tr>
	<tr><td rowspan="4" valign="top"><label for="ntp_server0">NTP servers:</label></td>
		<td><input type="text" size="15" maxlength="15" class="clsTextfield" id="ntp_server0" name="ntp_server0" value="<% nvram_list("ntp_server", 0); %>" onchange="bDirty = true;">
		</td></tr>
	<tr><td><input type="text" size="15" maxlength="15" class="clsTextfield" id="ntp_server1" name="ntp_server1" value="<% nvram_list("ntp_server", 1); %>" onchange="bDirty = true;">
		</td></tr>
	<tr><td><input type="text" size="15" maxlength="15" class="clsTextfield" id="ntp_server2" name="ntp_server2" value="<% nvram_list("ntp_server", 2); %>" onchange="bDirty = true;">
		</td></tr>
	<tr><td><input type="submit" class="clsSmall" name="action" value="Synchronize"></td>
	</tr>
</table></form>
<h3>Reboot Router</h3>
<p>Click Reboot if you need to restart the router. Its current settings will be retained.</p>
<form action="apply.cgi" method="post">
<input type="hidden" name="page" value="device.asp">
	<input type="submit" name="action" value="Reboot" class="clsBtnFeature">
</form>
<h3>Upgrade Router</h3>
<form  action="check_fw.cgi" method="post">
<input type="hidden" name="page" value="device.asp">
<table class="clsGroupBox">
	<tr><td><input type="submit" name="action" value="Check for Update" class="clsBtnFeature"></td>
		<td><p>Press the <strong>Check for Update</strong> button to
		automatically check for an update to this router&rsquo;s firmware.</p></td></tr>
</table></form>
<form  action="upgrade.cgi" enctype="multipart/form-data" method="post">
<input type="hidden" name="page" value="device.asp">
<p>The current version is <span class="clsStatic"><% nvram_get("os_version"); %> (<% nvram_get("os_date"); %>)</span>.</p>
<p>1. Check the <a href="http://www.usr.com/support/" target="_new">U.S.&nbsp;Robotics Web site</a>
for an update.</p>
<p>2. If a new version is available, save the new firmware image on your computer.</p>
<p>3. Press <strong>Browse</strong> and select the new firmware file you saved on your computer.</p>
<p><label for="file">File:</label> <input type="file" id="file" name="file" value="Browse" class="clsButton"></span></p>
<form>
<p>4. Press <strong>Upgrade</strong> to install the new firmware.</p>
<p><input type="submit" name="btnFirmwareUpgrade" value="Upgrade" class="BtnFeature"></p>
</form>
<h3>Back Up Settings</h3>
<p>This saves the router&rsquo;s current settings in a file on your computer
so that you can restore them later.</p>
<form action="backup.cgi" method="link">
<input type="hidden" name="page" value="device.asp">
<input type="submit" name="btnBackup" value="Back Up" class="BtnFeature">
</form>
<h3>Restore Settings</h3>
<p>This loads new settings for the router from a file on your computer.
Please note that the current settings will be lost.</p>
<p>1. Press <strong>Browse</strong> to select a settings file you saved to your computer earlier.</p>
<form method="post" action="restore.cgi" enctype="multipart/form-data">
<p><label for="file">File:</label> <input type="file" id="file" name="nvfile" value="Browse" class="clsButton"></span></p>
	<input type="hidden" name="page" value="device.asp">
<p>2. Press <strong>Restore</strong> to load the settings file into the router.</p>
	<p><input type="submit" name="action" value="Restore" class="BtnFeature"></p>
</form>
<h3>Factory Settings</h3>
<p>This resets the router to its original factory settings.
Please note that the current settings will be lost.</p>
<form action="apply.cgi" method="post">
<input type="hidden" name="page" value="device.asp">
<p><input type="submit" name="action" value="Reload" class="BtnFeature" onclick="if (!reloadDevice()) return false;"></p>
</form>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
