<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup</title>
	<link href="usr_layout.css" type="text/css" rel="stylesheet" /><script src="usr_layout.js" type="text/javascript"></script>
	<link href="usr_device.css" type="text/css" rel="stylesheet" /><script src="usr_device.js" type="text/javascript"></script><script src="usr_5454.js" type="text/javascript"></script><script src="usr_resources.js" type="text/javascript"></script>
</head>

<body>

<script type="text/javascript">
	writeHeaderSetup(2, 2);
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Securing the Access Point</h1>
	<p>U.S.&nbsp;Robotics recommends that you set the access point&rsquo;s password so that a user
	connected to your network cannot access your access point and modify its configuration.</p>

	<p>A secure user name and password will prevent a device from
	logging into the access point and modifying its configuration.
	If you do not have a secure password, a device can log into the access point and change
	the login information and prevent you from accessing your own access point.</p>

</div>


<form name="idForm" action="apply.cgi" method="post">
<input type="hidden" name="page" value="setup_login.asp">

<h2>Access Point Login</h2>

<p>In order to secure the access point against unauthorized access, please enter a user name and password.
You will need to enter the user name and password in order to access the access point in the future,
so you may want to write them down.</p>

<table>
	<tr>
		<td><label for="http_username">User&nbsp;name:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="http_username" class="clsTextfield" name="http_username" value="<% nvram_get("http_username"); %>" onchange="if (!validateUsername(document.idForm.http_username)) return false;">
		</td>
	</tr>
	<tr>
		<td><label for="http_passwd">Password:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="http_passwd" class="clsTextfield" name="http_passwd" value="<% nvram_get("http_passwd"); %>" onchange="if (!validatePassword(document.idForm.http_passwd)) return false;">
<!-- We don't use type="password" because the user should be able to see it -->
		</td>
	</tr>
</table>

<p>U.S.&nbsp;Robotics recommends using a password of eight or more alphanumeric
characters (such as &ldquo;Canyon79Snow&rdquo; or &ldquo;2Lake6Forest3&rdquo;). Please note that
the user name and password are case-sensitive.</p>


<p class="clsSave">When you&rsquo;re done and are ready to apply all your settings, press <strong>Finish</strong>.</p>
<p><input type="submit" name="action" value="Finish" class="clsBtnSave"
 onclick="if (!validateUsername(document.idForm.http_username)) return false; if (!validatePassword(document.idForm.http_passwd)) return false;"></p>

</form>

<script type="text/javascript">
	writeFooter();
</script>

</body>
</html>
